Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_modis_sim.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_modis_sim.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_modis_sim.F90	(revision 5158)
@@ -200,5 +200,5 @@
     logical, dimension(size(retrievedTau))                     :: cloudMask
     real,    dimension(size(waterSize, 1), size(waterSize, 2)) :: tauLiquidFraction, tauTotal
-    real    :: integratedLiquidFraction
+    REAL    :: integratedLiquidFraction
     integer :: i, nSubcols, nLevels
 
@@ -256,5 +256,5 @@
     end if 
     
-    do i = 1, nSubCols
+    DO i = 1, nSubCols
       if(cloudMask(i)) then 
 
@@ -371,5 +371,5 @@
            liquid_opticalThickness, ice_opticalThickness, tauLiquidFraction
     
-    real :: seuil
+    REAL :: seuil
     ! ---------------------------------------------------
     
@@ -596,5 +596,5 @@
     reffIceWRK(1:nPoints,1:nSubCols) = merge(particle_size,R_UNDEF,iceCloudMask)
     reffLiqWRK(1:nPoints,1:nSubCols) = merge(particle_size,R_UNDEF,waterCloudMask)
-    do j=1,nPoints
+    DO j=1,nPoints
 
        ! Fill clear and optically thin subcolumns with fill
@@ -651,6 +651,6 @@
     integer :: ij,ik
     
-    do ij=2,nbin1+1
-       do ik=2,nbin2+1
+    DO ij=2,nbin1+1
+       DO ik=2,nbin2+1
           jointHist(ij-1,ik-1)=count(var1 .ge. bin1(ij-1) .and. var1 .lt. bin1(ij) .and. &
                var2 .ge. bin2(ik-1) .and. var2 .lt. bin2(ik))        
@@ -778,5 +778,5 @@
     ! Joint histogram 
 
-    do i = 1, numTauHistogramBins 
+    DO i = 1, numTauHistogramBins
       where(cloudMask(:, :)) 
         tauMask(:, :, i) = optical_thickness(:, :) >= tauHistogramBoundaries(i) .and. &
@@ -787,5 +787,5 @@
     end do 
 
-    do i = 1, numPressureHistogramBins 
+    DO i = 1, numPressureHistogramBins
       where(cloudMask(:, :)) 
         pressureMask(:, :, i) = cloud_top_pressure(:, :) >= pressureHistogramBoundaries(i) .and. &
@@ -796,6 +796,6 @@
     end do 
     
-    do i = 1, numPressureHistogramBins
-      do j = 1, numTauHistogramBins
+    DO i = 1, numPressureHistogramBins
+      DO j = 1, numTauHistogramBins
         Optical_Thickness_vs_Cloud_Top_Pressure(:, j, i) = & 
           real(count(tauMask(:, :, j) .and. pressureMask(:, :, i), dim = 2)) / real(nSubcols)
@@ -808,14 +808,14 @@
     real, dimension(:), intent(in) :: tauIncrement, pressure
     real,               intent(in) :: tauLimit
-    real                           :: cloud_top_pressure
+    REAL                           :: cloud_top_pressure
 
     ! Find the extinction-weighted pressure. Assume that pressure varies linearly between 
     !   layers and use the trapezoidal rule.
 
-    real :: deltaX, totalTau, totalProduct
+    REAL :: deltaX, totalTau, totalProduct
     integer :: i 
     
     totalTau = 0.; totalProduct = 0. 
-    do i = 2, size(tauIncrement)
+    DO i = 2, size(tauIncrement)
       if(totalTau + tauIncrement(i) > tauLimit) then 
         deltaX = tauLimit - totalTau
@@ -840,13 +840,13 @@
     real, dimension(:), intent(in) :: tauIncrement, f
     real,               intent(in) :: tauLimit
-    real                           :: weight_by_extinction
+    REAL                           :: weight_by_extinction
 
     ! Find the extinction-weighted value of f(tau), assuming constant f within each layer
 
-    real    :: deltaX, totalTau, totalProduct
+    REAL    :: deltaX, totalTau, totalProduct
     integer :: i 
     
     totalTau = 0.; totalProduct = 0. 
-    do i = 1, size(tauIncrement)
+    DO i = 1, size(tauIncrement)
       if(totalTau + tauIncrement(i) > tauLimit) then 
         deltaX       = tauLimit - totalTau
@@ -864,5 +864,5 @@
   pure function compute_nir_reflectance(water_tau, water_size, ice_tau, ice_size) 
     real, dimension(:), intent(in) :: water_tau, water_size, ice_tau, ice_size
-    real                           :: compute_nir_reflectance
+    REAL                           :: compute_nir_reflectance
     
     real, dimension(size(water_tau)) :: water_g, water_w0, ice_g, ice_w0, &
@@ -893,5 +893,5 @@
       integer, intent(in) :: phase
       real,    intent(in) :: tau, obs_Refl_nir
-      real                :: retrieve_re
+      REAL                :: retrieve_re
 
       ! Finds the re that produces the minimum mis-match between predicted and observed reflectance in 
@@ -907,5 +907,5 @@
 
       real, parameter :: min_distance_to_boundary = 0.01
-      real    :: re_min, re_max, delta_re
+      REAL    :: re_min, re_max, delta_re
       integer :: i 
       
@@ -957,5 +957,5 @@
     real, dimension(:), intent(in) :: x, y 
     real,               intent(in) :: yobs
-    real                           :: interpolate_to_min
+    REAL                           :: interpolate_to_min
 
     ! Given a set of values of y as y(x), find the value of x that minimizes abs(y - yobs)
@@ -1008,5 +1008,5 @@
     integer, intent(in) :: phase
     real,    intent(in) :: re
-    real :: get_g_nir 
+    REAL :: get_g_nir
 
     real, dimension(3), parameter :: ice_coefficients         = (/ 0.7490, 6.5153e-3, -5.4136e-5 /), &
@@ -1035,5 +1035,5 @@
         integer, intent(in) :: phase
         real,    intent(in) :: re
-        real                :: get_ssa_nir
+        REAL                :: get_ssa_nir
 
         ! Polynomial fit for single scattering albedo in MODIS band 7 (near IR) as a function 
@@ -1060,5 +1060,5 @@
     real,               intent(in) :: x
     real, dimension(:), intent(in) :: coefficients
-    real                           :: fit_to_cubic
+    REAL                           :: fit_to_cubic
     
     
@@ -1069,5 +1069,5 @@
     real,               intent(in) :: x
     real, dimension(:), intent(in) :: coefficients
-    real                           :: fit_to_quadratic
+    REAL                           :: fit_to_quadratic
     
     
@@ -1079,10 +1079,10 @@
   pure function compute_toa_reflectace(tau, g, w0)
     real, dimension(:), intent(in) :: tau, g, w0
-    real                           :: compute_toa_reflectace
+    REAL                           :: compute_toa_reflectace
     
     logical, dimension(size(tau))         :: cloudMask
     integer, dimension(count(tau(:) > 0)) :: cloudIndicies
     real,    dimension(count(tau(:) > 0)) :: Refl,     Trans
-    real                                  :: Refl_tot, Trans_tot
+    REAL                                  :: Refl_tot, Trans_tot
     integer                               :: i
     ! ---------------------------------------
@@ -1092,5 +1092,5 @@
     cloudMask = tau(:) > 0. 
     cloudIndicies = pack((/ (i, i = 1, size(tau)) /), mask = cloudMask) 
-    do i = 1, size(cloudIndicies)
+    DO i = 1, size(cloudIndicies)
       call two_stream(tau(cloudIndicies(i)), g(cloudIndicies(i)), w0(cloudIndicies(i)), Refl(i), Trans(i))
     end do 
@@ -1115,5 +1115,5 @@
     integer, parameter :: beam = 2
     real,    parameter :: xmu = 0.866, minConservativeW0 = 0.9999999
-    real :: tau, w0, g, f, gamma1, gamma2, gamma3, gamma4, &
+    REAL :: tau, w0, g, f, gamma1, gamma2, gamma3, gamma4, &
             rh, a1, a2, rk, r1, r2, r3, r4, r5, t1, t2, t3, t4, t5, beta, e1, e2, ef1, ef2, den, th
 
@@ -1183,5 +1183,5 @@
   elemental function two_stream_reflectance(tauint, gint, w0int) 
     real, intent(in) :: tauint, gint, w0int
-    real             :: two_stream_reflectance
+    REAL             :: two_stream_reflectance
 
     ! Compute reflectance in a single layer using the two stream approximation 
@@ -1194,5 +1194,5 @@
     integer, parameter :: beam = 2
     real,    parameter :: xmu = 0.866, minConservativeW0 = 0.9999999
-    real :: tau, w0, g, f, gamma1, gamma2, gamma3, gamma4, &
+    REAL :: tau, w0, g, f, gamma1, gamma2, gamma3, gamma4, &
             rh, a1, a2, rk, r1, r2, r3, r4, r5, t1, t2, t3, t4, t5, beta, e1, e2, ef1, ef2, den
     ! ------------------------
@@ -1267,5 +1267,5 @@
       Refl_cumulative(1) = Refl(1); Tran_cumulative(1) = Tran(1)    
       
-      do i=2, size(Refl)
+      DO i=2, size(Refl)
           ! place (add) previous combined layer(s) reflectance on top of layer i, w/black surface (or ignoring surface):
           Refl_cumulative(i) = Refl_cumulative(i-1) + Refl(i)*(Tran_cumulative(i-1)**2)/(1 - Refl_cumulative(i-1) * Refl(i))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/optics_lib.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/optics_lib.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/optics_lib.F90	(revision 5158)
@@ -519,5 +519,5 @@
 
 !   // region from 0.045 microns to 167.0 microns - no temperature depend
-    do i=2,nwl
+    DO i=2,nwl
       if(alam < wl(i)) continue
     enddo
@@ -539,10 +539,10 @@
     if(tk > temref(1)) tk=temref(1)
     if(tk < temref(4)) tk=temref(4)
-    do 11 i=2,4
+    DO 11 i=2,4
       if(tk.ge.temref(i)) go to 12
     11 continue
     12 lt1=i
     lt2=i-1
-    do 13 i=2,nwlt
+    DO 13 i=2,nwlt
       if(alam.le.wlt(i)) go to 14
     13 continue
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/phys_cosp.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/phys_cosp.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/phys_cosp.F90	(revision 5158)
@@ -44,6 +44,6 @@
 ! mr_ozone,                             !Concentration ozone (Kg/Kg)
 ! dem_s                                 !Cloud optical emissivity
-! dtau_s               			!Cloud optical thickness
-! emsfc_lw = 1.        			!Surface emissivity dans radlwsw.F90
+! dtau_s                           !Cloud optical thickness
+! emsfc_lw = 1.                    !Surface emissivity dans radlwsw.F90
 
 !!! Outputs :
@@ -132,5 +132,5 @@
 ! Declaration necessaires pour les sorties IOIPSL
   integer :: ii
-  real    :: ecrit_day,ecrit_hf,ecrit_mth, missing_val
+  REAL    :: ecrit_day,ecrit_hf,ecrit_mth, missing_val
   logical :: ok_mensuelCOSP,ok_journeCOSP,ok_hfCOSP, ok_all_xml
 
@@ -150,5 +150,5 @@
   real,dimension(Nlevlmdz)        :: presnivs
   integer                         :: itap,k,ip
-  real                            :: dtime,freq_cosp
+  REAL                            :: dtime,freq_cosp
   real,dimension(2)               :: time_bnds
 
@@ -249,6 +249,6 @@
 
         zlev_half(:,1) = phis(:)/9.81
-        do k = 2, Nlevels
-          do ip = 1, Npoints
+        DO k = 2, Nlevels
+          DO ip = 1, Npoints
            zlev_half(ip,k) = phi(ip,k)/9.81 + &
                (phi(ip,k)-phi(ip,k-1))/9.81 * (ph(ip,k)-p(ip,k)) / (p(ip,k)-p(ip,k-1))
@@ -267,5 +267,5 @@
         gbx%skt  = skt !Skin temperature (K)
 
-        do ip = 1, Npoints
+        DO ip = 1, Npoints
           if (fracTerLic(ip).ge.0.5) then
              gbx%land(ip) = 1.
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/radar_simulator.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/radar_simulator.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/radar_simulator.F90	(revision 5158)
@@ -41,5 +41,5 @@
 !   [hm_matrix]       table of hydrometeor mixing rations (g/kg)
 !   [re_matrix]       table of hydrometeor effective radii.  0 ==> use defaults. (units=microns)    
-!   [Np_matrix]	      table of hydrometeor number concentration.  0 ==> use defaults. (units = 1/kg)
+!   [Np_matrix]          table of hydrometeor number concentration.  0 ==> use defaults. (units = 1/kg)
 
 ! Outputs:
@@ -117,5 +117,5 @@
   ns       ! number of discrete drop sizes
 
-  logical :: hydro	! true=hydrometeor in vol, false=none
+  logical :: hydro    ! true=hydrometeor in vol, false=none
   real*8 :: &
   rho_a, &   ! air density (kg m^-3)
@@ -180,11 +180,11 @@
     d_gate=-1
   endif
-  do k=start_gate,end_gate,d_gate
+  DO k=start_gate,end_gate,d_gate
   ! // loop over each profile (nprof)
-    do pr=1,nprof
+    DO pr=1,nprof
       t_kelvin = t_matrix(pr,k)
 !     :: determine if hydrometeor(s) present in volume
       hydro = .false.
-      do j=1,hp%nhclass
+      DO j=1,hp%nhclass
         if ((hm_matrix(j,pr,k) > 1E-12) .and. (hp%dtype(j) > 0)) then
           hydro = .true.
@@ -198,5 +198,5 @@
         rho_a = (p_matrix(pr,k)*100.)/(287.0*(t_kelvin))
 !       :: loop over hydrometeor type
-        do tp=1,hp%nhclass
+        DO tp=1,hp%nhclass
           if (hm_matrix(tp,pr,k) <= 1E-12) cycle
           phase = hp%phase(tp)
@@ -233,5 +233,5 @@
             if (iRe_type.lt.1) iRe_type=1
 
-            Re=step*(iRe_type+0.5)	! set value of Re to closest value allowed in LUT.
+            Re=step*(iRe_type+0.5)    ! set value of Re to closest value allowed in LUT.
             iRe_type=iRe_type+base-int(n*Re_BIN_LENGTH/step)
 
@@ -273,5 +273,5 @@
               if (hp%rho(tp) < 0) then
                 ! Use equivalent volume spheres.
-                hp%rho_eff(tp,1:ns,iRe_type) = 917  				! solid ice == equivalent volume approach
+                hp%rho_eff(tp,1:ns,iRe_type) = 917                  ! solid ice == equivalent volume approach
                 Deq = ( ( 6/pi*hp%apm(tp)/917 ) ** (1.0/3.0) ) * ( (Di*1E-6) ** (hp%bpm(tp)/3.0) )  * 1E6
                 ! alternative is to comment out above two lines and use the following block
@@ -362,8 +362,8 @@
           endif
 
-        enddo	! end loop of tp (hydrometeor type)
+        enddo    ! end loop of tp (hydrometeor type)
 
       else
-!     :: volume is hydrometeor-free	
+!     :: volume is hydrometeor-free
         kr_vol(pr,k) = 0
         z_vol(pr,k)  = undef
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/radar_simulator_init.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/radar_simulator_init.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/radar_simulator_init.F90	(revision 5158)
@@ -60,5 +60,5 @@
    integer, intent(in) :: nhclass       ! number of hydrometeor classes in use
    integer, intent(in) :: use_gas_abs,do_ray
-   real :: undef
+   REAL :: undef
    real,dimension(nhclass),intent(in)     ::    hclass_dmin,hclass_dmax, &
                                 hclass_apm,hclass_bpm,hclass_rho, &
@@ -90,5 +90,5 @@
         ! Store settings for hydrometeor types in hp (class_parameter) structure.   
 
-        do i = 1,nhclass
+        DO i = 1,nhclass
         hp%dtype(i) = hclass_type(i)
         hp%phase(i) = hclass_phase(i)
@@ -117,5 +117,5 @@
 
     hp%base_list(1)=0;
-    do j=1,Re_MAX_BIN
+    DO j=1,Re_MAX_BIN
         hp%step_list(j)=0.1+0.1*((j-1)**1.5);
         if(hp%step_list(j)>Re_BIN_LENGTH) then
@@ -129,9 +129,9 @@
     ! set up Temperature bin structure used for z scaling
 
-    do i=1,cnt_ice
+    DO i=1,cnt_ice
         hp%mt_tti(i)=(i-1)*5-90 + 273.15
     enddo
     
-    do i=1,cnt_liq
+    DO i=1,cnt_liq
         hp%mt_ttl(i)=(i-1)*5-60 + 273.15
     enddo 
@@ -143,5 +143,5 @@
 
         hp%D(1) = dmin
-        do i=2,nd
+        DO i=2,nd
           hp%D(i) = hp%D(i-1)*deltp
         enddo   
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/scale_luts_io.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/scale_luts_io.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/scale_luts_io.F90	(revision 5158)
@@ -42,7 +42,7 @@
         trim(hp%scale_LUT_file_name) // '_radar_Z_scale_LUT.dat'
     
-            do i=1,maxhclass
-            do j=1,mt_ntt
-            do k=1,nRe_types
+            DO i=1,maxhclass
+            DO j=1,mt_ntt
+            DO k=1,nRe_types
         
             ind = i+(j-1)*maxhclass+(k-1)*(nRe_types*mt_ntt)
@@ -95,7 +95,7 @@
         trim(hp%scale_LUT_file_name) // '_radar_Z_scale_LUT.dat'
     
-        do i=1,maxhclass
-        do j=1,mt_ntt
-        do k=1,nRe_types
+        DO i=1,maxhclass
+        DO j=1,mt_ntt
+        DO k=1,nRe_types
         
             ind = i+(j-1)*maxhclass+(k-1)*(nRe_types*mt_ntt)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/zeff.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/zeff.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/zeff.F90	(revision 5158)
@@ -110,5 +110,5 @@
     sizep = (pi*D0)/wl
     dqv(1) = 0.
-    do i=1,nsizes
+    DO i=1,nsizes
       call mieint(sizep(i), m0(i), one, dqv, qext(i), dqsc, qbsca(i), &
         dg, xs1, xs2, dph, err)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/MISR_simulator.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/MISR_simulator.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/MISR_simulator.F90	(revision 5158)
@@ -78,9 +78,9 @@
     box_MISR_ztop(1:npoints,1:ncol) = 0._wp  
 
-    do j=1,npoints
+    DO j=1,npoints
 
        ! Estimate distribution of Model layer tops
        dist_model_layertops(j,:)=0
-       do ilev=1,nlev
+       DO ilev=1,nlev
           ! Define location of "layer top"
           if(ilev.eq.1 .or. ilev.eq.nlev) then
@@ -93,5 +93,5 @@
           ! *NOTE* the first MISR level is "no height" level
           iMISR_ztop=2
-          do loop=2,numMISRHgtBins
+          DO loop=2,numMISRHgtBins
              if ( ztest .gt. 1000*misr_histHgt(loop+1) ) then
                 iMISR_ztop=loop+1
@@ -103,10 +103,10 @@
 
        ! For each GCM cell or horizontal model grid point   
-       do ibox=1,ncol
+       DO ibox=1,ncol
           ! Compute optical depth as a cummulative distribution in the vertical (nlev).
           tauOUT(j,ibox)=sum(dtau(j,ibox,1:nlev))
 
           thres_crossed_MISR=0
-          do ilev=1,nlev
+          DO ilev=1,nlev
              ! If there a cloud, start the counter and store this height
              if(thres_crossed_MISR .eq. 0 .and. dtau(j,ibox,ilev) .gt. 0.) then
@@ -187,5 +187,5 @@
     ! This setup assumes the columns represent a about a 1 to 4 km scale
     ! it will need to be modified significantly, otherwise
-!	! DS2015: Add loop over gridpoints and index accordingly.
+!    ! DS2015: Add loop over gridpoints and index accordingly.
 !    if(ncol.eq.1) then
 !       ! Adjust based on neightboring points.
@@ -214,5 +214,5 @@
      
     ! Fill dark scenes 
-    do j=1,numMISRHgtBins
+    DO j=1,numMISRHgtBins
        where(sunlit .ne. 1) dist_model_layertops(1:npoints,j) = R_UNDEF
     enddo
@@ -254,5 +254,5 @@
     tauWRK(1:npoints,1:ncol)                      = tau(1:npoints,1:ncol)
     box_MISR_ztopWRK(1:npoints,1:ncol)            = box_MISR_ztop(1:npoints,1:ncol)
-    do j=1,npoints
+    DO j=1,npoints
 
        ! Subcolumns that are cloudy(true) and not(false)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp.F90	(revision 5158)
@@ -190,5 +190,5 @@
      real(wp),dimension(:),pointer :: &
           isccp_totalcldarea => null(), & ! The fraction of model grid box columns with cloud 
-           		                  ! somewhere in them. (%)
+                                     ! somewhere in them. (%)
           isccp_meantb => null(),       & ! Mean all-sky 10.5 micron brightness temperature. (K)
           isccp_meantbclr => null(),    & ! Mean clear-sky 10.5 micron brightness temperature. (K)
@@ -203,5 +203,5 @@
                                           ! the 49 ISCCP D level cloud types. (%)
      
-     ! MISR outptus  			    
+     ! MISR outptus
      real(wp),dimension(:,:,:),pointer ::   & !
           misr_fq => null()          ! Fraction of the model grid box covered by each of the MISR 
@@ -211,7 +211,7 @@
      real(wp),dimension(:),pointer ::   & !
           misr_meanztop => null(), & ! Mean MISR cloud top height
-          misr_cldarea => null()     ! Mean MISR cloud cover area         			    
-
-     ! MODIS outptus		    
+          misr_cldarea => null()     ! Mean MISR cloud cover area
+
+     ! MODIS outptus
      real(wp),pointer,dimension(:) ::      & !  
           modis_Cloud_Fraction_Total_Mean => null(),       & ! L3 MODIS retrieved cloud fraction (total) 
@@ -233,5 +233,5 @@
           modis_Ice_Water_Path_Mean => null()                ! L3 MODIS retrieved ice water path
      real(wp),pointer,dimension(:,:,:) ::  &
-          modis_Optical_Thickness_vs_Cloud_Top_Pressure => null(), & ! Tau/Pressure joint histogram          			    
+          modis_Optical_Thickness_vs_Cloud_Top_Pressure => null(), & ! Tau/Pressure joint histogram
           modis_Optical_Thickness_vs_ReffICE => null(),            & ! Tau/ReffICE joint histogram
           modis_Optical_Thickness_vs_ReffLIQ => null()               ! Tau/ReffLIQ joint histogram
@@ -239,5 +239,5 @@
      ! RTTOV outputs
      real(wp),pointer :: &
-          rttov_tbs(:,:) => null() ! Brightness Temperature	    
+          rttov_tbs(:,:) => null() ! Brightness Temperature
      
   end type cosp_outputs
@@ -683,5 +683,5 @@
        allocate(parasolPix_refl(parasolIN%Npoints,parasolIN%Ncolumns,PARASOL_NREFL))
        ! Call simulator
-       do icol=1,parasolIN%Ncolumns
+       DO icol=1,parasolIN%Ncolumns
           call parasol_subcolumn(parasolIN%npoints, PARASOL_NREFL,                       &
                                  parasolIN%tautot_S_liq(1:parasolIN%Npoints,icol),       &
@@ -700,5 +700,5 @@
        ! Allocate space for local variables
        allocate(cloudsatDBZe(cloudsatIN%Npoints,cloudsatIN%Ncolumns,cloudsatIN%Nlevels))
-       do icol=1,cloudsatIN%ncolumns
+       DO icol=1,cloudsatIN%ncolumns
           call quickbeam_subcolumn(cloudsatIN%rcfg,cloudsatIN%Npoints,cloudsatIN%Nlevels,&
                                    cloudsatIN%hgt_matrix/1000._wp,                       &
@@ -721,5 +721,5 @@
                    modisRetrievedCloudTopPressure(modisIN%nSunlit,modisIN%nColumns))
           ! Call simulator
-          do i = 1, modisIN%nSunlit
+          DO i = 1, modisIN%nSunlit
              call modis_subcolumn(modisIN%Ncolumns,modisIN%Nlevels,modisIN%pres(i,:),    &
                                   modisIN%tau(int(modisIN%sunlit(i)),:,:),               &
@@ -1367,5 +1367,5 @@
        ! Other grid requested. Constant vertical spacing with top at 20 km
        if (.not. luseCSATvgrid) zstep = 20000._wp/Nvgrid
-       do i=1,Nvgrid
+       DO i=1,Nvgrid
           vgrid_zl(Nlvgrid-i+1) = (i-1)*zstep
           vgrid_zu(Nlvgrid-i+1) = i*zstep
@@ -1726,5 +1726,5 @@
     endif
 
-	! RTTOV Inputs
+    ! RTTOV Inputs
     if (cospgridIN%zenang .lt. -90. .OR. cospgridIN%zenang .gt. 90) then
        nError=nError+1
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp_cloudsat_interface.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp_cloudsat_interface.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp_cloudsat_interface.F90	(revision 5158)
@@ -123,5 +123,5 @@
     ! Set up Re bin "structure" for z_scaling
     rcfg%base_list(1)=0
-    do j=1,Re_MAX_BIN
+    DO j=1,Re_MAX_BIN
        rcfg%step_list(j)=0.1_wp+0.1_wp*((j-1)**1.5)
        if(rcfg%step_list(j)>Re_BIN_LENGTH) then
@@ -143,5 +143,5 @@
 
   !%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-  !                              	  END MODULE
+  !                                    END MODULE
   !%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 END MODULE MOD_COSP_CLOUDSAT_INTERFACE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp_interface_v1p4.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp_interface_v1p4.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp_interface_v1p4.F90	(revision 5158)
@@ -436,5 +436,5 @@
   end type cosp_modis  
   ! %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-  ! TYPE cosp_misr	
+  ! TYPE cosp_misr
   ! %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   TYPE COSP_MISR
@@ -445,5 +445,5 @@
      real(wp),dimension(:,:,:),pointer ::   & !
         fq_MISR          ! Fraction of the model grid box covered by each of the MISR 
-          				 ! cloud types
+                           ! cloud types
      real(wp),dimension(:,:),pointer ::   & !
         MISR_dist_model_layertops !  
@@ -474,5 +474,5 @@
      real(wp),dimension(:),pointer :: &
         totalcldarea, & ! The fraction of model grid box columns with cloud somewhere in 
-          				  ! them.
+                            ! them.
         meantb,       & ! Mean all-sky 10.5 micron brightness temperature.
         meantbclr,    & ! Mean clear-sky 10.5 micron brightness temperature.
@@ -485,5 +485,5 @@
      real(wp),dimension(:,:,:),pointer :: &
         fq_isccp        ! The fraction of the model grid box covered by each of the 49 
-          			    ! ISCCP D level cloud types.
+                          ! ISCCP D level cloud types.
   END TYPE COSP_ISCCP
   !%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -589,5 +589,5 @@
     ! Outputs from COSP2
     type(cosp_outputs),target :: cospOUT  ! NEW derived type output that contains all 
-    					                  ! simulator information
+                                          ! simulator information
     ! Local variables
     integer :: i
@@ -596,5 +596,5 @@
          start_idx,  & ! Starting index when looping over points
          end_idx,    & ! Ending index when looping over points
-         Nptsperit     ! Number of points for current iteration				                  
+         Nptsperit     ! Number of points for current iteration
     logical :: &
          lsingle=.true., & ! True if using MMF_v3_single_moment CLOUDSAT microphysical scheme (default)
@@ -606,5 +606,5 @@
     character(len=256),dimension(100) :: cosp_status
 
-#ifdef MMF_V3_SINGLE_MOMENT    					  
+#ifdef MMF_V3_SINGLE_MOMENT
     character(len=64) :: &
          cloudsat_micro_scheme = 'MMF_v3_single_moment'
@@ -680,5 +680,5 @@
     !%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
     num_chunks = gbx%Npoints/gbx%Npoints_it+1
-    do i=1,num_chunks
+    DO i=1,num_chunks
        !%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        ! Determine indices for "chunking" (again, if necessary)
@@ -1011,7 +1011,7 @@
        frac_cv(1:npoints,1:gbx%Nlevels) = 0._wp
        prec_cv(1:npoints,1:gbx%Nlevels) = 0._wp
-       do j=1,npoints,1
-          do k=1,gbx%Nlevels,1
-             do i=1,gbx%Ncolumns,1
+       DO j=1,npoints,1
+          DO k=1,gbx%Nlevels,1
+             DO i=1,gbx%Ncolumns,1
                 if (sgx%frac_out(start_idx+j-1,i,gbx%Nlevels+1-k) == I_LSC)              &
                      frac_ls(j,k) = frac_ls(j,k)+1._wp
@@ -1050,5 +1050,5 @@
        Reff(:,:,:,:)     = 0._wp
        Np(:,:,:,:)       = 0._wp
-       do k=1,gbx%Ncolumns
+       DO k=1,gbx%Ncolumns
           ! Subcolumn cloud fraction
           column_frac_out = sgx%frac_out(start_idx:end_idx,k,:)
@@ -1096,6 +1096,6 @@
        ! the fraction-based values
        !%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-       do k=1,gbx%Nlevels
-          do j=1,npoints
+       DO k=1,gbx%Nlevels
+          DO j=1,npoints
              ! Clouds
              if (frac_ls(j,k) .ne. 0.) then
@@ -1238,5 +1238,5 @@
     if (cfg%Lradar_sim) then
        allocate(g_vol(nPoints,gbx%Nlevels))
-       do ij=1,gbx%Ncolumns
+       DO ij=1,gbx%Ncolumns
           if (ij .eq. 1) then
              cmpGases = .true.
@@ -1558,7 +1558,7 @@
          trim(hp%scale_LUT_file_name) // '_radar_Z_scale_LUT.dat'
     
-    do i=1,maxhclass
-       do j=1,mt_ntt
-          do k=1,nRe_types
+    DO i=1,maxhclass
+       DO j=1,mt_ntt
+          DO k=1,nRe_types
              ind = i+(j-1)*maxhclass+(k-1)*(nRe_types*mt_ntt)
              if(.not.LUT_file_exists .or. hp%Z_scale_added_flag(i,j,k)) then
@@ -1592,5 +1592,5 @@
     ! Local variables
     integer :: i
-    real :: zstep
+    REAL :: zstep
     
     x%use_vgrid  = use_vgrid
@@ -1629,5 +1629,5 @@
           zstep = 20000.0/x%Nlvgrid
        endif
-       do i=1,x%Nlvgrid
+       DO i=1,x%Nlvgrid
           x%zl(i) = (i-1)*zstep
           x%zu(i) = i*zstep
@@ -1858,5 +1858,5 @@
 
   ! %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-  !  					SUBROUTINE construct_cosp_misr
+  !                      SUBROUTINE construct_cosp_misr
   ! %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   SUBROUTINE CONSTRUCT_COSP_MISR(Npoints,x)
@@ -1968,5 +1968,5 @@
   END SUBROUTINE destroy_cosp_modis  
   !%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-  !           					 SUBROUTINE construct_cosp_rttov
+  !                                SUBROUTINE construct_cosp_rttov
   !%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
   SUBROUTINE CONSTRUCT_COSP_RTTOV(Npoints,Nchan,x)
